es2015-i18n-tag#1.6.2 packaging error tanks new V2 install



  • Looks like a lot of useful stuff has been merged since I lasted updated ( 3D hulls, woot! ) my install of V2 so I cleaned everything out and re-installed, but got this error when I ran it:
    Error: Cannot find module 'es2015-i18n-tag' from './OpenJSCAD.org/packages/core/sideEffects/i18n'

    Turns out es2015-i18n-tag#1.6.2 has a package error that leaves out the useful bit. I pinned it to 1.6.1 and all seems well.
    packages/core asks for es2015-i18n-tag^1.3.1

    This isn't a bug I should report in the tracker, is it? Since the author note on the es2015-i18n-tag package recognizes the error is there I expect it will be resolved before core's package.json can be "fixed".


Log in to reply